capture cd "C:\Users\KKOSEC\Dropbox (IFPRI)\Central Asia\Summer School 2018\RDD_BISP\Data"
use Kosec_BISP_data.dta, clear
capture log close


************** RECODE CUTOFF
* Subtract the cutoff value (16.16) from the cutoff score and divided this difference by the standard deviation of the poverty score so that a 1 unit increase in variable 'cutoff' is a 1 S.D. increase
gen cutoff = (min_pmt-16.16)/12.5611
label var cutoff "Assignment variable (0=at cutoff)"


************** ANALYSES
capture cd "C:\Users\KKOSEC\Dropbox (IFPRI)\Central Asia\Summer School 2018\RDD_BISP\Replication"

*** Table 1
set more off
local combined2 = "system_support_index courts trespect_inst basicrights proud support_system trust leaders_bestjob"

sum dmbenef min_pmt dmprimepoverty `combined2' if min_pmt !=.


*** MCCrary
DCdensity cutoff, breakpoint(0) generate(Xj Yj r0 fhat se_fhat)
	graph export mccrary.pdf, replace


*** First Stage
rdplot dmbenef cutoff, c(0) binselect() graph_options(title(First Stage) ytitle(BISP Beneficiary Rate) xtitle(Wealth Score) graphregion(color(white)))
	graph export firststage.pdf, replace


*** Table 2
set more off
log using output_governance_Table2.log, replace
local combined2 = "system_support_index courts trespect_inst basicrights proud support_system trust leaders_bestjob"
foreach var of varlist `combined2' {
	label variable `var' "`var'"
	eststo: rdrobust `var' cutoff, fuzzy(dmbenef)
	}
set matsize 1000
esttab using output_governance_Table2.csv, b(3) se(3) starlevels(* 0.1 ** .05 *** .01) label replace
log close
eststo clear


*** Table 3
set more off
log using output_governance_Table3.log, replace
local combined2 = "system_support_index courts trespect_inst basicrights proud support_system trust leaders_bestjob"
foreach var of varlist `combined2' {
	label variable `var' "`var'"
	eststo: rdrobust `var' cutoff if dmprimepoverty == 1, fuzzy(dmbenef)
	eststo: rdrobust `var' cutoff if dmprimepoverty == 0, fuzzy(dmbenef) 
	}
	
set matsize 1000
esttab using output_governance_table3.csv, b(3) se(3) starlevels(* 0.1 ** .05 *** .01) label replace
log close
eststo clear
